Subject: [gaia] New version of the Simplemux draft

From: "Jose Saldana" <[email-masked]>
Date: Wed, 27 Jan 2016 18:12:12 +0100

Hi all,
 
As you may remember, in the GAIA meeting in Prague
(https://datatracker.ietf.org/meeting/93/agenda/gaia/) I presented
Simplemux, a protocol for grouping packets.
 
Today, a new version of the draft has been uploaded:
<https://datatracker.ietf.org/doc/draft-saldana-tsvwg-simplemux/>
https://datatracker.ietf.org/doc/draft-saldana-tsvwg-simplemux/
 
In addition, you can find a research paper here:
<http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=7363105>
http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=7363105
 
It includes some results in Wi-Fi scenarios (similar to “community
networks”) where multiplexing can improve air time efficiency. 802.11n and
subsequent versions include Layer-2 aggregation mechanisms, but there are
still many legacy devices that do not implement them. So aggregation at
Layer-3 can be interesting there. In addition, Layer-3 aggregation can be
done end-to-end instead of being performed in every hop (Layer-2).
 
An implementation ( <https://github.com/TCM-TF/simplemux>
https://github.com/TCM-TF/simplemux) is available. It has been tested in
low-cost Wi-Fi APs.
 
Best regards,
 
Jose Saldana
 
> -----Mensaje original-----
> De: [email-masked] <mailto:[email-masked]>
[mailto:[email-masked]] Enviado 
> el: miércoles, 27 de enero de 2016 17:59
> Para: Jose Saldana <[email-masked] <mailto:[email-masked]> >
> Asunto: New Version Notification for 
> draft-saldana-tsvwg-simplemux-04.txt
> 
> 
> A new version of I-D, draft-saldana-tsvwg-simplemux-04.txt
> has been successfully submitted by Jose Saldana and posted to the IETF 
> repository.
> 
> Name:                     draft-saldana-tsvwg-simplemux
> Revision:     04
> Title:             Simplemux. A generic multiplexing protocol
> Document date:      2016-01-27
> Group:                     Individual Submission
> Pages:                     14
> URL:
<https://www.ietf.org/internet-drafts/draft-saldana-tsvwg-simplemux->
https://www.ietf.org/internet-drafts/draft-saldana-tsvwg-simplemux-
> 04.txt
> Status:
<https://datatracker.ietf.org/doc/draft-saldana-tsvwg-simplemux/>
https://datatracker.ietf.org/doc/draft-saldana-tsvwg-simplemux/
> Htmlized:
<https://tools.ietf.org/html/draft-saldana-tsvwg-simplemux-04>
https://tools.ietf.org/html/draft-saldana-tsvwg-simplemux-04
> Diff:
<https://www.ietf.org/rfcdiff?url2=draft-saldana-tsvwg-simplemux-04>
https://www.ietf.org/rfcdiff?url2=draft-saldana-tsvwg-simplemux-04
> 
> Abstract:
>    The low efficiency caused by the high amount of small packets present
>    in the network can be alleviated by means of packet aggregation.
>    There are some situations in which multiplexing a number of small
>    packets into a bigger one is desirable.  For example, a number of
>    small packets can be sent together between a pair of machines if they
>    share a common network path.  Thus, the traffic profile can be
>    shifted from small to larger packets, reducing the network overhead
>    and the number of packets per second to be managed by intermediate
>    routers.
> 
>    This document describes Simplemux, a protocol able to encapsulate a
>    number of packets belonging to different protocols into a single
>    packet.  It includes the "Protocol" field on each multiplexing
>    header, thus allowing the inclusion of a number of packets belonging
>    to different protocols (multiplexed packets) on a packet of another
>    protocol (tunneling protocol).
> 
>    In order to reduce the overhead, the size of the multiplexing headers
>    is kept very low (it may be a single byte when multiplexing small
>    packets).
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at
tools.ietf.org.
> The IETF Secretariat